apiVersion: operator.open-cluster-management.io/v1
kind: MultiClusterHub
metadata:
  creationTimestamp: '2024-10-14T13:14:49Z'
  finalizers:
    - finalizer.operator.open-cluster-management.io
  generation: 2
  managedFields:
    - apiVersion: operator.open-cluster-management.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec': {}
      manager: Mozilla
      operation: Update
      time: '2024-10-14T13:14:49Z'
    - apiVersion: operator.open-cluster-management.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"finalizer.operator.open-cluster-management.io"': {}
        'f:spec':
          'f:availabilityConfig': {}
          'f:enableClusterBackup': {}
          'f:ingress': {}
          'f:overrides':
            .: {}
            'f:components': {}
          'f:separateCertificateManagement': {}
      manager: multiclusterhub-operator
      operation: Update
      time: '2024-10-14T13:14:50Z'
    - apiVersion: operator.open-cluster-management.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:components':
            'f:klusterlet-addon-controller-v2':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:insights-metrics':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:search-v2-operator-controller-manager':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-observability-operator':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:search-api':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:insights-client':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:search-postgres':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-operators-hub-subscription':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:console-chart-console-v2':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-operators-channel':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-engine-sub':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            .: {}
            'f:multicluster-operators-subscription-report':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:search-indexer':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-operators-standalone-subscription':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:grc-policy-propagator':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-engine-csv':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:cluster-permission':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-engine':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:multicluster-operators-application':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:grc-policy-addon-controller':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:search-collector':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'f:volsync-addon-controller':
              .: {}
              'f:kind': {}
              'f:lastTransitionTime': {}
              'f:name': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:conditions': {}
          'f:currentVersion': {}
          'f:desiredVersion': {}
          'f:phase': {}
      manager: multiclusterhub-operator
      operation: Update
      subresource: status
      time: '2024-10-23T12:22:14Z'
  name: multiclusterhub
  namespace: open-cluster-management
  resourceVersion: '14948317'
  uid: c103d8b4-532b-4249-9662-9998d0eda594
spec:
  availabilityConfig: High
  enableClusterBackup: false
  ingress: {}
  overrides:
    components:
      - enabled: true
        name: app-lifecycle
      - enabled: true
        name: cluster-lifecycle
      - enabled: true
        name: cluster-permission
      - enabled: true
        name: console
      - enabled: true
        name: grc
      - enabled: true
        name: insights
      - enabled: true
        name: multicluster-engine
      - enabled: true
        name: multicluster-observability
      - enabled: true
        name: search
      - enabled: true
        name: submariner-addon
      - enabled: true
        name: volsync
      - enabled: false
        name: cluster-backup
  separateCertificateManagement: false
status:
  components:
    multicluster-engine-sub:
      kind: Subscription
      lastTransitionTime: '2024-10-23T12:22:14Z'
      message: 'installPlanApproval: Automatic. installPlan: multicluster-engine/install-d48qw'
      name: multicluster-engine
      reason: AtLatestKnown
      status: 'True'
      type: Available
    cluster-permission:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:19Z'
      name: cluster-permission
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    grc-policy-propagator:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:20Z'
      name: grc-policy-propagator
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-operators-application:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:17:15Z'
      name: multicluster-operators-application
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-engine-csv:
      kind: ClusterServiceVersion
      lastTransitionTime: '2024-10-23T12:22:14Z'
      message: install strategy completed with no errors
      name: multicluster-engine.v2.6.3
      reason: InstallSucceeded
      status: 'True'
      type: Available
    search-collector:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:22Z'
      name: search-collector
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    volsync-addon-controller:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:02Z'
      name: volsync-addon-controller
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    klusterlet-addon-controller-v2:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:28:53Z'
      name: klusterlet-addon-controller-v2
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-engine:
      kind: MultiClusterEngine
      lastTransitionTime: '2024-10-23T12:22:14Z'
      message: All components deployed
      name: multiclusterengine
      reason: ComponentsDeployed
      status: 'True'
      type: Progressing
    grc-policy-addon-controller:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:35Z'
      name: grc-policy-addon-controller
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    insights-metrics:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:16Z'
      name: insights-metrics
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    search-api:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:22Z'
      name: search-api
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    console-chart-console-v2:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:28:56Z'
      name: console-chart-console-v2
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-operators-channel:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:17:32Z'
      name: multicluster-operators-channel
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    search-v2-operator-controller-manager:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:12Z'
      name: search-v2-operator-controller-manager
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    search-indexer:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:52Z'
      name: search-indexer
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-operators-subscription-report:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:15:30Z'
      name: multicluster-operators-subscription-report
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-operators-standalone-subscription:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:15:33Z'
      name: multicluster-operators-standalone-subscription
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-observability-operator:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:12Z'
      name: multicluster-observability-operator
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    insights-client:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:51Z'
      name: insights-client
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    search-postgres:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:29:43Z'
      name: search-postgres
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
    multicluster-operators-hub-subscription:
      kind: Deployment
      lastTransitionTime: '2024-10-14T13:17:15Z'
      name: multicluster-operators-hub-subscription
      reason: MinimumReplicasAvailable
      status: 'True'
      type: Available
  conditions:
    - lastTransitionTime: '2024-10-16T01:46:56Z'
      lastUpdateTime: '2024-10-16T01:46:56Z'
      message: 'Error deploying resources: failed to deploy ClusterRole open-cluster-management:cluster-manager-admin'
      reason: FailedDeployingComponent
      status: 'False'
      type: Progressing
    - lastTransitionTime: '2024-10-23T06:46:32Z'
      lastUpdateTime: '2024-10-23T06:46:32Z'
      message: Not all hub components ready.
      reason: ComponentsUnavailable
      status: 'False'
      type: Complete
  currentVersion: 2.11.3
  desiredVersion: 2.11.3
  phase: Pending
